<?php

ob_start();
session_start();
require_once "db.php";

// PDO hata modunu etkinleştir
$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

// Kullanıcı ekleme
if (isset($_POST['user_add'])) {
    try {
        // Mail adresinin daha önce kayıtlı olup olmadığını kontrol et
        $check_mail = $pdo->prepare("SELECT * FROM users WHERE mail = :mail");
        $check_mail->execute(array('mail' => $_POST['mail']));
        
        // Eğer mail zaten varsa hata döndür
        if ($check_mail->rowCount() > 0) {
            header("Location:users.php?email_exists");
            exit;
        }

        // Kullanıcıyı ekle
        $save = $pdo->prepare("INSERT INTO users SET name=:name, surname=:surname, mail=:mail, password=:password, status=1");
        $insert = $save->execute(array(
            'name' => $_POST['name'],
            'surname' =>  $_POST['surname'],
            'mail' => $_POST['mail'],
            'password' =>  md5($_POST['password']),
        ));

        if ($insert) {
            header("Location:users.php?success");
        } else {
            header("Location:users.php?d=no");
        }

    } catch (PDOException $e) {
        echo "Kullanıcı ekleme hatası: " . $e->getMessage();
    }
}

// Kullanıcı silme
if (isset($_POST['user_delete'])) {
    try {
        $id = $_POST['id'];
        $delete = $pdo->exec("DELETE FROM users WHERE user_id='$id'");

        if ($delete) {
            header("Location:users.php?success");
        } else {
            header("Location:users.php?d=no");
        }
    } catch (PDOException $e) {
        echo "Kullanıcı silme hatası: " . $e->getMessage();
    }
}

// Kaynak ekleme
if (isset($_POST['source_add'])) {
    try {
        $save = $pdo->prepare("INSERT INTO sources SET source=:source, source_name=:source_name, status=1");
        $insert = $save->execute(array(
            'source' => $_POST['source'],
            'source_name' =>  $_POST['source_name']
        ));

        if ($insert) {
            header("Location:source.php?success");
        } else {
            header("Location:source.php?d=no");
        }

    } catch (PDOException $e) {
        echo "Kaynak ekleme hatası: " . $e->getMessage();
    }
}

// Kaynak silme
if (isset($_POST['source_delete'])) {
    try {
        $id = $_POST['id'];
        $delete = $pdo->exec("DELETE FROM sources WHERE id='$id'");

        if ($delete) {
            header("Location:source.php?success");
        } else {
            header("Location:source.php?d=no");
        }
    } catch (PDOException $e) {
        echo "Kaynak silme hatası: " . $e->getMessage();
    }
}

// Rezervasyon ekleme
if (isset($_POST['reservation_add'])) {
    try {
        $save = $pdo->prepare("INSERT INTO reservations SET start_date=:start_date, fullname=:fullname, phone=:phone, mail=:mail, room=:room, pax=:pax, hour=:hour, notes=:notes, source=:source, incoming_pax=:incoming_pax, table_number=:table_number, check_number=:check_number, net_check_amount=:net_check_amount, reservation_agent=:reservation_agent, status=1");
        $insert = $save->execute(array(
            'start_date' => $_POST['start_date'],
            'fullname' =>  $_POST['fullname'],
            'phone' => $_POST['phone'],
            'mail' =>  $_POST['mail'],
            'room' => $_POST['room'],
            'pax' =>  $_POST['pax'],
            'hour' => $_POST['hour'],
            'notes' =>  $_POST['notes'],
            'source' => $_POST['source'],
            'incoming_pax' => $_POST['incoming_pax'],
            'table_number' =>  $_POST['table_number'],
            'check_number' => $_POST['check_number'],
            'net_check_amount' => $_POST['net_check_amount'],
            'reservation_agent' => $_POST['reservation_agent']
        ));

        if ($insert) {
            header("Location:index.php?success");
        } else {
            header("Location:index.php?d=no");
        }

    } catch (PDOException $e) {
        echo "Rezervasyon ekleme hatası: " . $e->getMessage();
    }
}

// Rezervasyon silme
if (isset($_POST['reservation_delete'])) {
    try {
        $id = $_POST['id'];
        $delete = $pdo->exec("DELETE FROM reservations WHERE id='$id'");

        if ($delete) {
            header("Location:index.php?success");
        } else {
            header("Location:index.php?d=no");
        }
    } catch (PDOException $e) {
        echo "Rezervasyon silme hatası: " . $e->getMessage();
    }
}

// Rezervasyon güncelleme işlemi
if (isset($_POST['reservation_update'])) {
    try {
        $id = $_POST['id'];
        $fullname = $_POST['fullname'];
        $phone = $_POST['phone'];
        $mail = $_POST['mail'];
        $pax = $_POST['pax'];
        $source = $_POST['source'];
        $hour = $_POST['hour'];
        $start_date = $_POST['start_date'];
        $notes = $_POST['notes'];

        // Güncelleme sorgusu
        $update = $pdo->prepare("
            UPDATE reservations 
            SET fullname=:fullname, phone=:phone, mail=:mail, pax=:pax, source=:source, hour=:hour, start_date=:start_date, notes=:notes 
            WHERE id=:id
        ");

        $doupdate = $update->execute([
            'fullname' => $fullname,
            'phone' => $phone,
            'mail' => $mail,
            'pax' => $pax,
            'source' => $source,
            'hour' => $hour,
            'start_date' => $start_date,
            'notes' => $notes,
            'id' => $id
        ]);

        if ($doupdate) {
            header("Location: index.php?success=update");
        } else {
            header("Location: index.php?error=update");
        }
    } catch (PDOException $e) {
        echo "Rezervasyon güncelleme hatası: " . $e->getMessage();
    }
}

?>
