<?php
session_start();
include 'db.php'; // Veritabanı bağlantısı

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $mail = $_POST['mail'];
    $password = md5($_POST['password']); // MD5 ile şifreleme

    try {
        // Kullanıcının var olup olmadığını kontrol et
        $query = "SELECT * FROM users WHERE mail = :mail AND password = :password";
        $stmt = $pdo->prepare($query);
        
        // Parametreleri bağla
        $stmt->bindParam(':mail', $mail);
        $stmt->bindParam(':password', $password);

        // Sorguyu çalıştır
        $stmt->execute();

        // Sonuçları kontrol et
        if ($stmt->rowCount() > 0) {
            // Kullanıcı bilgilerini getir
            $user = $stmt->fetch(PDO::FETCH_ASSOC);

            // Oturum aç ve bilgileri sakla
            $_SESSION['loggedin'] = true; // Oturum açıldığını gösteren değişken
            $_SESSION['user'] = $user['mail']; // E-posta
            $_SESSION['name'] = $user['name']; // Kullanıcı adı
            $_SESSION['surname'] = $user['surname']; // Kullanıcı soyadı
            header("Location: index.php"); // Başarılı girişten sonra yönlendirme
            exit;
        } else {
            // Hata mesajı
            $error = "Geçersiz e-posta veya şifre";
        }

    } catch (PDOException $e) {
        // Hata mesajını göster
        echo "Veritabanı hatası: " . $e->getMessage();
    }
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>Rezervasyon Yönetim Sistemi</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="A fully responsive admin theme which can be used to build CRM, CMS,ERP etc." name="description" />
    <meta content="Techzaa" name="author" />

    <!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico.png">

    <!-- Theme Config Js -->
    <script src="assets/js/config.js"></script>

    <!-- App css -->
    <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" id="app-style" />

    <!-- Icons css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
</head>

<body class="authentication-bg position-relative" style="height: 100vh;">
    <div class="account-pages p-sm-5  position-relative">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xxl-9 col-lg-11">
                    <div class="card overflow-hidden">
                        <div class="row g-0">
                            <div class="col-lg-6">
                                <div class="d-flex flex-column h-100">
                                    <div class="auth-brand p-4 text-center">
                                       <h2 style=" margin-top:20px;">Reservations</h2>
                                    </div>
                                    <div class="p-4 my-auto text-center">
                                        <!-- form -->
                                        <form method="POST" action="login.php">
                                            <h2>Giriş Yap</h2>
                                            <div class="form-group">
                                                <input type="mail" class="form-control" name="mail" placeholder="E-posta" required>
                                            </div>
                                            <div class="form-group">
                                                <input type="password" class="form-control" name="password" placeholder="Şifre" required>
                                            </div>
                                            <?php if (isset($error)): ?>
                                                <p style="color: red;"><?php echo $error; ?></p>
                                            <?php endif; ?>
                                            <div class="form-group">
                                            <button class="btn btn-soft-primary w-100" type="submit"><i
                                                        class="ri-login-circle-fill me-1"></i> <span class="fw-bold">Giriş Yap</span> </button>
                                            </div>
                                        </form>
                                        <!-- end form-->
                                    </div>
                                </div>
                            </div> <!-- end col -->
                            <div class="col-lg-6 d-none d-lg-block">
                                <img src="assets/images/auth-img.jpg" alt="" class="img-fluid rounded h-100">
                            </div>
                        </div>
                    </div>
                </div>
                <!-- end row -->
            </div>
           
        </div>
        <!-- end container -->
    </div>
    <!-- end page -->


    <!-- Vendor js -->
    <script src="assets/js/vendor.min.js"></script>









    <script src="assets/vendor/lucide/umd/lucide.min.js"></script>

    <!-- App js -->
    <script src="assets/js/app.min.js"></script>

</body>

</html>