<?php include "header.php"; ?>

<!-- ============================================================== -->
<!-- Start Page Content here -->
<!-- ============================================================== -->

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- Modalı açmak için buton -->
            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addUserModal">
                Yeni Kullanıcı Ekle
            </button>

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                <thead>
                                    <tr>
                                        <th>User ID</th>
                                        <th>Name</th>
                                        <th>Surname</th>
                                        <th>Mail</th>
                                        <th>Status</th>
                                        <th>Actions</th> <!-- Silme işlemi için alan ekledik -->
                                    </tr>
                                </thead>
                                <?php if (isset($_GET['success'])): ?>
                                    <div class="alert alert-success">İşlem başarıyla gerçekleşti!</div>
                                <?php endif; ?>
                                 <?php if (isset($_GET['email_exists'])): ?>
                                    <div class="alert alert-danger">Bu e-posta adresiyle zaten kayıtlı bir kullanıcı var.</div>
                                <?php endif; ?>
                                
                                <tbody>
                                      <?php
                                        $stmt = $pdo->query("SELECT * FROM users");
                                        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
                                            echo "<tr>";
                                            echo "<td>" . htmlspecialchars($row['user_id']) . "</td>";
                                            echo "<td>" . htmlspecialchars($row['name']) . "</td>";
                                            echo "<td>" . htmlspecialchars($row['surname']) . "</td>";
                                            echo "<td>" . htmlspecialchars($row['mail']) . "</td>";
                                            
                                            // Status için badge kullanımı
                                            echo "<td>";
                                            if ($row['status'] == 1) {
                                                echo '<span class="badge text-bg-success">Aktif</span>';
                                            } else {
                                                echo '<span class="badge text-bg-danger">Pasif</span>';
                                            }
                                            echo "</td>";

                                            // Silme butonu
                                            echo '<td>
                                                    <form method="POST" action="functions.php">
                                                        <input type="hidden" name="id" value="' . $row['user_id'] . '">
                                                        <button name="user_delete" type="submit" class="btn btn-danger">Sil</button>
                                                    </form>
                                                </td>'; 
                                            echo "</tr>";
                                        }
                                        ?>

                                </tbody>
                            </table>
                        </div> <!-- end card body-->
                    </div> <!-- end card -->
                </div><!-- end col-->
            </div> <!-- end row-->
        </div> <!-- container -->
    </div> <!-- content -->
</div>

<!-- ============================================================== -->
<!-- End Page content -->
<!-- ============================================================== -->


<!-- Kullanıcı Ekle Modalı -->
<div class="modal fade" id="addUserModal" tabindex="-1" aria-labelledby="addUserLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addUserLabel">Yeni Kullanıcı Ekle</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <form method="POST" action="functions.php">
                <div class="modal-body">
                    <div class="mb-3">
                        <label for="name" class="form-label">Ad:</label>
                        <input type="text" class="form-control"  name="name" required>
                    </div>

                    <div class="mb-3">
                        <label for="surname" class="form-label">Soyad:</label>
                        <input type="text" class="form-control" name="surname" required>
                    </div>

                    <div class="mb-3">
                        <label for="mail" class="form-label">E-posta:</label>
                        <input type="email" class="form-control"  name="mail" required>
                    </div>

                    <div class="mb-3">
                        <label for="password" class="form-label">Şifre:</label>
                        <input type="password" class="form-control"  name="password" required>
                    </div>


                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Kapat</button>
                    <button type="submit" name="user_add" class="btn btn-primary">Kaydet</button>
                </div>
            </form>
        </div>
    </div>
</div>



<?php include "footer.php"; ?>
