<?php
include 'functions.php';
requireLogin();

// Rezervasyon ekleme işlemi
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['add'])) {
    addReservation($_POST['fullname'], $_POST['phone'], $_POST['mail'], $_POST['room'], $_POST['pax'], $_POST['hour'], $_POST['notes'], $_POST['source'], $_POST['source_name'], $_POST['incoming_pax'], $_POST['table_number'], $_POST['check_number'], $_POST['check_amount_vat'], $_POST['net_check_amount'], $_POST['operation_agent'], $_POST['reservation_agent'], $_POST['status']);
    header('Location: index.php');
}

// Rezervasyon silme işlemi
if (isset($_GET['delete'])) {
    deleteReservation($_GET['delete']);
    header('Location: index.php');
}

// Tüm rezervasyonları listele
$reservations = getReservations();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Rezervasyon Yönetimi</title>
</head>
<body>
    <h1>Rezervasyonlar</h1>

    <form method="POST">
        <input type="text" name="fullname" placeholder="Ad Soyad" required>
        <input type="text" name="phone" placeholder="Telefon">
        <input type="email" name="mail" placeholder="E-posta">
        <input type="text" name="room" placeholder="Oda">
        <input type="text" name="pax" placeholder="Kişi Sayısı">
        <input type="text" name="hour" placeholder="Saat">
        <input type="text" name="notes" placeholder="Notlar">
        <input type="text" name="source" placeholder="Kaynak">
        <input type="text" name="source_name" placeholder="Kaynak Adı">
        <input type="text" name="incoming_pax" placeholder="Gelen Kişi Sayısı">
        <input type="text" name="table_number" placeholder="Masa Numarası">
        <input type="text" name="check_number" placeholder="Çek Numarası">
        <input type="text" name="check_amount_vat" placeholder="KDV'li Çek Miktarı">
        <input type="text" name="net_check_amount" placeholder="Net Çek Miktarı">
        <input type="text" name="operation_agent" placeholder="Operasyon Sorumlusu">
        <input type="text" name="reservation_agent" placeholder="Rezervasyon Sorumlusu">
        <input type="text" name="status" placeholder="Durum">
        <button type="submit" name="add">Rezervasyon Ekle</button>
    </form>

    <h2>Mevcut Rezervasyonlar</h2>
    <table border="1">
        <tr>
            <th>ID</th>
            <th>Ad Soyad</th>
            <th>Telefon</th>
            <th>E-posta</th>
            <th>Oda</th>
            <th>Kişi Sayısı</th>
            <th>Saat</th>
            <th>Notlar</th>
            <th>Kaynak</th>
            <th>Kaynak Adı</th>
            <th>Masa No</th>
            <th>Durum</th>
            <th>İşlem</th>
        </tr>
        <?php while ($row = $reservations->fetch_assoc()) { ?>
            <tr>
                <td><?php echo $row['id']; ?></td>
                <td><?php echo $row['fullname']; ?></td>
                <td><?php echo $row['phone']; ?></td>
                <td><?php echo $row['mail']; ?></td>
                <td><?php echo $row['room']; ?></td>
                <td><?php echo $row['pax']; ?></td>
                <td><?php echo $row['hour']; ?></td>
                <td><?php echo $row['notes']; ?></td>
                <td><?php echo $row['source']; ?></td>
                <td><?php echo $row['source_name']; ?></td>
                <td><?php echo $row['table_number']; ?></td>
                <td><?php echo $row['status']; ?></td>
                <td>
                    <a href="?delete=<?php echo $row['id']; ?>">Sil</a>
                </td>
            </tr>
        <?php } ?>
    </table>

    <a href="logout.php">Çıkış Yap</a>
</body>
</html>
